Bug 1016198 - System Details: Release Version fails to render or update
System Details: Release Version fails to render or update
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Walden Raines
bmorriso
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 13:20 EDT by Mike McCune
Modified: 2014-04-24 13:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:09:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
System Details - Release version visible (63.65 KB, image/png)
2013-10-21 10:36 EDT, bmorriso
no flags Details

  None (edit)
Description Mike McCune 2013-10-07 13:20:09 EDT
With new2pane the system details pane will not allow for selection of "Release Version" and only renders an empty list.

Firebug indicates it is finding the releases:

request : GET releases
response: [{"release":{"release":"6.4"}}]

but the drop list is empty.

attaching screenshot
Comment 2 Walden Raines 2013-10-07 14:32:02 EDT
PR:  https://github.com/Katello/katello/pull/3106
Comment 3 Walden Raines 2013-10-08 11:32:28 EDT
commit e79521fa8066d258a8cca57cb09e6527bf8ab817
Merge: c594105 bebc74b
Author: Walden Raines <walden@redhat.com>
Date:   Tue Oct 8 08:31:19 2013 -0700

    Merge pull request #3106 from waldenraines/bug-1016198
    
    Bug #1016198 - update release versions to use API v2 and fix API.

commit bebc74be47fd8ff55066a8603711b1894978db86
Author: Walden Raines <walden@redhat.com>
Date:   Mon Oct 7 14:29:31 2013 -0400

    Bug #1016198 - update release versions to use API v2 and fix API.
Comment 6 bmorriso 2013-10-21 10:36:49 EDT
Created attachment 814631 [details]
System Details - Release version visible

The System Details - Release Version is now visible and selectable in the dropdown menu.
Comment 7 Bryan Kearney 2014-04-24 13:09:23 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 8 Bryan Kearney 2014-04-24 13:10:54 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.